
TYPO3.Flow - Feature # 29037

Feature # 28486 (Resolved): Don't clone, use explicit change tracking instead

Status: Rejected Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2011-08-17 Assigned To: Karsten Dambekalns
Updated: 2011-08-26 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Use annotation to mark entities as aggregate root
Description

    -  @aggregateRoot annotation (normative)
    -  Repository CAN exist for non-aggregate root -> EXPLAIN that this is pragmatic, but no clean DDD

Related issues:
blocks TYPO3.Flow - Feature # 29038: Set useful defaults for cascade attribut... Resolved 2011-08-17

History
#1 - 2011-08-22 12:59 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I91089649a4f30990e17645110febebc36263236b has been pushed to the review server.
It is available at http://review.typo3.org/4468

#2 - 2011-08-26 16:14 - Karsten Dambekalns
- Status changed from Under Review to Rejected

We decided to leave the behavior as it was, if a repository exists for an entity, it is considered aggregate root.

#3 - 2011-08-26 16:15 - Karsten Dambekalns
- % Done changed from 0 to 100
